Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.spring.support
Class ServiceInjectionBeanPostProcessor

    java.lang.Object
      |
      +--InstantiationAwareBeanPostProcessorAdapter
            |
            +--com.bea.wlevs.spring.support.ServiceInjectionBeanPostProcessor

public class ServiceInjectionBeanPostProcessor
extends InstantiationAwareBeanPostProcessorAdapter

BeanPostProcessor that injects OSGi services.

Constructor Summary
`ServiceInjectionBeanPostProcessor()`

Method Summary
`int` | `getOrder()`
`protected Service` | `hasServiceProperty(java.beans.PropertyDescriptor propertyDescriptor)`
`static void` | `injectServices(java.lang.Object bean, java.lang.String beanName, BundleContext bundleContext, java.lang.ClassLoader classLoader)`
`void` | `injectServices(java.lang.Object bean, java.lang.String beanName, java.lang.ClassLoader classLoader)`
`java.lang.Object` | `postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)` process FactoryBean created objects, since these will not have had services injected.
`PropertyValues` | `postProcessPropertyValues(PropertyValues pvs, java.beans.PropertyDescriptor[] pds, java.lang.Object bean, java.lang.String beanName)`
`void` | `setBeanClassLoader(java.lang.ClassLoader classLoader)`
`void` | `setBeanFactory(BeanFactory beanFactory)`
`void` | `setBundleContext(BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceInjectionBeanPostProcessor

    public ServiceInjectionBeanPostProcessor()

Method Detail

### postProcessAfterInitialization

    public java.lang.Object postProcessAfterInitialization(java.lang.Object bean,
                                                           java.lang.String beanName)
                                                    throws BeansException

  process FactoryBean created objects, since these will not have had services injected.

  Parameters:
    `bean` -
    `beanName` -
  Returns:
  Throws:
    BeansException -

### injectServices

    public void injectServices(java.lang.Object bean,
                               java.lang.String beanName,
                               java.lang.ClassLoader classLoader)

### injectServices

    public static void injectServices(java.lang.Object bean,
                                      java.lang.String beanName,
                                      BundleContext bundleContext,
                                      java.lang.ClassLoader classLoader)

### postProcessPropertyValues

    public PropertyValues postProcessPropertyValues(PropertyValues pvs,
                                                    java.beans.PropertyDescriptor[] pds,
                                                    java.lang.Object bean,
                                                    java.lang.String beanName)
                                             throws BeansException

### hasServiceProperty

    protected Service hasServiceProperty(java.beans.PropertyDescriptor propertyDescriptor)

### setBundleContext

    public void setBundleContext(BundleContext context)

### setBeanFactory

    public void setBeanFactory(BeanFactory beanFactory)
                        throws BeansException

### setBeanClassLoader

    public void setBeanClassLoader(java.lang.ClassLoader classLoader)

### getOrder

    public int getOrder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.